OpenFilesIterator.OpenFilesType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: OpenFilesIterator, enum: OpenFilesType

Package org.apache.hadoop.hdfs.protocol

# Enum Class OpenFilesIterator.OpenFilesType

java.lang.Object
java.lang.Enum<OpenFilesIterator.OpenFilesType>
org.apache.hadoop.hdfs.protocol.OpenFilesIterator.OpenFilesType

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenFilesIterator.OpenFilesType>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.OpenFilesIterator

public static enum OpenFilesIterator.OpenFilesType extends Enum<OpenFilesIterator.OpenFilesType>
Open file types to filter the results.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL_OPEN_FILES`
  `BLOCKING_DECOMMISSION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getMode()`
  `static OpenFilesIterator.OpenFilesType`
  `valueOf(short num)`
  Returns the enum constant of this class with the specified name.
  `static OpenFilesIterator.OpenFilesType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OpenFilesIterator.OpenFilesType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL_OPEN_FILES

    public static final OpenFilesIterator.OpenFilesType ALL_OPEN_FILES

  - ### BLOCKING_DECOMMISSION

    public static final OpenFilesIterator.OpenFilesType BLOCKING_DECOMMISSION

- ## Method Details

  - ### values

    public static OpenFilesIterator.OpenFilesType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OpenFilesIterator.OpenFilesType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMode

    public short getMode()

  - ### valueOf

    public static OpenFilesIterator.OpenFilesType valueOf(short num)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `num` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null